#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Want
Summary:	Want - a generalisation of "wantarray"
Summary(pl.UTF-8):	Want - uogólnienie funkcji wantarray()
Name:		perl-Want
Version:	0.29
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RO/ROBIN/%{pdir}-%{version}.tar.gz
# Source0-md5:	33b2dae5db59781b9a0434fa1db04aab
URL:		http://search.cpan.org/dist/Want/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(v5.6)'

%description
This module generalises the mechanism of the wantarray function,
allowing a function to determine in some detail how its return value
is going to be immediately used.

%description -l pl.UTF-8
Ten moduł generalizuje mechanizm funkcji wantarray, pozwalając
funkcjom na określenie niektórych szczegółów tego, w jaki sposób
używane będą zwracane przez nie wartości.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/Want
%attr(755,root,root) %{perl_vendorarch}/auto/Want/*.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Want.git;a=log;h=master

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 86e4509
- up to 0.29

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> aa44032
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Fri Jan 01 2016 Jan Rękorajski <baggins@pld-linux.org> c9928ee
- up to 0.26

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> e9a5863
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 62fd8f9
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 7f9f13b
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 15 2014 Łukasz Kieś <kiesiu@pld-linux.org> d00e3fe
- updated to 0.23

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 10a038a
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1939ee0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 41d1ca4
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4adabb3
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 1a1a2b6
- up to 0.20

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> af9b9dd
- rel 5

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> bbbc9ef
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 32533bf
- release 3

* Mon Jul 28 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 192cb54
- release 2

* Mon Feb 11 2008 radek <radek@pld-linux.org> 6603c52
- version 0.18

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 460017e
- rel 2

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 228ede6
- generic URL

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 49df9e7
- up to 0.16

